QHGroupBox(3qt)

NAME
QHGroupBox - Organizes widgets in a group with one horizontal row

SYNOPSIS
#include <qhgroupbox.h>

Inherits QGroupBox.

  Public Members
QHGroupBox ( QWidget * parent = 0, const char * name = 0 )
QHGroupBox ( const QString & title, QWidget * parent = 0, const char * name = 0 )
~QHGroupBox ()

DESCRIPTION
The QHGroupBox widget organizes widgets in a group with one horizontal row.

QHGroupBox is a convenience class that offers a thin layer on top of QGroupBox. Think of it as a QHBox that offers a frame with a title.

<center>
[Image Omitted]

</center>

See also QVGroupBox, Widget Appearance and Style, Layout Management, and Organizers.

MEMBER FUNCTION DOCUMENTATION

QHGroupBox::QHGroupBox ( QWidget * parent = 0, const char * name = 0 )
Constructs a horizontal group box with no title.

The parent and name arguments are passed to the QWidget constructor.

QHGroupBox::QHGroupBox ( const QString & title, QWidget * parent = 0, const char * name = 0 )
Constructs a horizontal group box with the title title.

The parent and name arguments are passed to the QWidget constructor.

QHGroupBox::~QHGroupBox ()
Destroys the horizontal group box, deleting its child widgets.

SEE ALSO
http://doc.trolltech.com/qhgroupbox.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qhgroupbox.3qt) and the Qt version (3.3.8).